Subject: Re: installing Gtk-Perl on cygwin (very long, but it actually works now;)
From: "dominix" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 12 Jan 2004 08:41:20 -1000

Gerrit P. Haase wrote:
> Hallo dominix,
>
> Am Sonntag, 11. Januar 2004 um 20:28 schriebst du:
>
>> hi everybody.
>> when trying to install Gtk-perl on cygwin [1.5.5] WinNT5 (XP) with
>> perl-5.8.2
>> I got errors regarding specific symbols not found, and I'm not able
>> to build ImlibImage and the build process stop.
>> I'm stuck there. Any advice, recomendation, tip, fix, (blame ?)
>> welcome
>
>> thanks for your time and attention.
>
>> #######################################################3
>> cpan Gtk
>> ...
>> xs/GdkImlib.o(.text+0x383e):GdkImlib.c: undefined reference to
>> `_newSVGdkPixmap'
...

> The same for the second module, but now I have some more undefined
> references, e.g. `_gtk_type_check_object_cast'.  This is defined in
> libgtk:
> $ nm libgtk.dll.a | grep _gtk_type_check_object_cast
> 00000000 I __imp__gtk_type_check_object_cast
> 00000000 T _gtk_type_check_object_cast
>
> But the linkline is including libgtk and libGtk, hmmm I guess it is a
> problem with the case insensitivity on Windows, I tried to use
> check_case:strict env setting, fired up a new terminal with the new
> env setting in use and hey, what do you guess, it doesn't work.  Seems
> the linker doesn't care about the case:strict setting:-(
>
> Ok, next try, make a copy from libGtk.dll.a to libGtkGtk.dll.a and
> changed the Makefile to use this libGtkGtk instead of libGtk:
>
> 1. cp blib/arch/auto/Gtk/libGtk.dll.a
> blib/arch/auto/Gtk/libGtkGtk.dll.a
> 2. add to all created Makefile's `-L../blib/arch/auto/Gtk -lGtkGtk' in
>    `OTHERLDFLAGS'.
> 3. compile all in a shell with the env setting
>    CYGWIN="check_case:strict" (well add check_case:strict to your
>    usual CYGWIN settings, I use now:
>    CYGWIN="ntsec binmode tty nowinsymlinks check_case:strict"
>
> And all this actually works, hurray!
>
> Gnome:
>
> Hmmpf, not in the Gnome directory, this module also needs
> `-L../GdkImlib/blib/arch/auto/Gtk/Gdk/ImlibImage -lImlibImage' in
> addition to `-L../blib/arch/auto/Gtk -lGtkGtk' in `OTHERLDFLAGS'.
>
> Others:
>

thanks very much Gerrit, your recommendation are, as usual, very helpful
and instructive. I understand what appened now and got it fixed.

-- 
dominix

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/